<template>
  <div class="container">
      <ContainerCrouselComponent 
        @next="next"
        @prev="prev"
        class="container1"
      >
          <ContainerCrouselSlideComponent  v-for="(slidee,index) in slides" :key="slidee.id" :index="index" :visibleSlide="visibleSlide" :direction="direction">
              <div class="container1">
                    <div class="left_subcontainer">
                        <h1 class="left_subcontainer_title">{{slidee.title}}</h1>
                        <p class="left_subcontainer_subtitle">{{slidee.subtitle}}</p>
                        <div class="left_buttons">
                            <a href="#" class="left_button_first">
                                Оставить заявку
                            </a>
                            <a href="#" class="left_button_second">
                                Узнать подробнее
                            </a>
                        </div>
                    </div>
                    <div class="right_subcontainer">
                        <img class="right_subcontainer" :src="slidee.src" alt="">
                    </div>
                </div>
          </ContainerCrouselSlideComponent>
      </ContainerCrouselComponent>
      
      
        
    <div class="left_subcontainer_slider">
        <div class="left_subcontainer_slider_element" @click="goto(n)" v-for="(item,n) in slide_item" :key="item.id">
            <p class="slider_element_title" :class="{ visited: visibleSlide === n }" >
                {{item.title}}
            </p>
            <svg v-if="visibleSlide != n" width="50" height="1" viewBox="0 0 50 1" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0 0H50V1H0V0Z" fill="#fff"/>
            </svg>
            <svg v-if="visibleSlide === n"  width="50" height="1" viewBox="0 0 50 1" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0 0H50V1H0V0Z" fill="#FFD600"/>
            </svg>

            <p class="slider_element_id" :class="{ visited: visibleSlide === n }">{{item.id+1}}</p>
        </div>
    </div>
  </div>
</template>

<script>
import ContainerCrouselComponent from '../components/ContainerCrouselComponent'
import ContainerCrouselSlideComponent from '../components/ContainerCrouselSlideComponent'
export default {
    components:{
        ContainerCrouselComponent,
        ContainerCrouselSlideComponent,

    },
    computed:{
        slidesLen(){
            return this.slides.length;
        }
    },
    methods:{
        next() {
            if(this.visibleSlide >= this.slidesLen - 1){
                this.visibleSlide = 0;
            }
            else{
                this.visibleSlide++;
            }
            this.direction = 'left'
        },
        prev(){
            if(this.visibleSlide <= 0){
                this.visibleSlide = this.slidesLen - 1;
            }
            else{
                this.visibleSlide--;
            }
            this.direction = 'right'
        },
        goto(n){
            if(n < this.visibleSlide){
                this.direction = 'right'
            }
            else{
                this.direction = 'left'
            }
            this.visibleSlide = n
        }
    },
    data() {
        return {
            slides: [
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    subtitle: 'Разработка сайтов: Любой сложности от порталов до Аукционов.',
                    src: require("../assets/image/Group 127.png"),
                    id:0,
                    
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    subtitle: 'Разработка приложений: Под ключ на разные платформы.',
                    src: require("../assets/image/Group 129.png"),
                    id:1,
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    id:2,
                    subtitle: 'Дизайн: Моделируем оптимально-лучший вариант вашего продукта.',
                    src: require("../assets/image/Group.png"),
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    subtitle: 'SEO Оптимизация: Продвижение вашего сайта на первую страницу поисковиков.',
                    src: require("../assets/image/Group (1).png"),
                    id:3,
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    subtitle: 'Редизайн Продукта: Сохраняя хорошее изменим/исправим в более лучшую сторону',
                    src: require("../assets/image/Group (2).png"),
                    id:4,
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    subtitle: 'SMM/Targeting: Продвижение в социальных сетях и увеличение потока клиентов',
                    src: require("../assets/image/Group 131.png"),
                    id:5,
                },
                {
                    title: 'Гарантия решения задачи и оплата за результат',
                    id:6,
                    subtitle: 'Продвижение продукта/бренда: Увеличим узнаваемость бренда',
                    src: require("../assets/image/Group 2.png"),
                },
            ],
            visibleSlide: 0,
            direction: 'left',
            slide_item: [
                {
                    title: 'Разработка сайтов',
                    visited: true,
                    id: 0
                },
                {
                    title: 'Разработка Мобильного приложения',
                    vizited: false,
                    id: 1
                },
                {
                    title: 'Дизайн',
                    vizited: false,
                    id: 2
                },
                {
                    title: 'SEO оптимизация',
                    vizited: false,
                    id: 3
                },
                {
                    title: 'Редизайн Сайтов и приложении',
                    vizited: false,
                    id: 4
                },
                {
                    title: 'SMM / Targeting / Social Media',
                    vizited: false,
                    id: 5
                },
                {
                    title: 'Продвижение услуг, товаров и Бренда',
                    vizited: false,
                    id: 6
                }
            ]
        }
    }
}
</script>

<style scoped>

@media only screen and (max-width: 600px)and (min-width: 321px)  {
    .left_subcontainer{
        margin-left: 20px !important;
    }
    .left_subcontainer_title{
        font-size: 20px !important;
        padding-top: 10px !important;
        width: 230px !important;
    }
    .left_subcontainer_subtitle{
        font-size: 16px !important;
        width: 150px !important;
    }
    .right_subcontainer img{
        width: 150px !important;
        height: 120px !important;
        margin-top: 0px !important;
        margin-left: -180px !important;
        margin-bottom: 50px;
    }
    .left_buttons{
        flex-direction: column;
    }
    .left_button_first{
        width: 335px !important;
        margin-bottom: 7px;
    }
    .left_button_second{
        width: 335px !important;
    }
    .left_subcontainer_slider{
        width: 100px !important;
        height: 70px !important;
        margin-left: 10px !important;
        flex-direction: column;
    }
    .left_subcontainer_slider_element:nth-child(n+2){
        display: none;
    }
    .container{
        height: 400px !important;
        margin-top: 10px;
    }
    

}
@media only screen and (max-width: 668px) {
    .left_subcontainer{
        margin-left: 20px;
    }
}
@media only screen and (max-width: 768px) {
    .left_subcontainer{
        margin-left: 20px;
    }
}

@media only screen and (max-width: 992px) {
    .left_subcontainer{
        margin-left: 20px;
    }
}

@media only screen and (min-width: 1200px) {
    
}
.container{
    height: 621.62px;
    width: 100%;
    background-image: url("../assets/image/image.png");
    color: white;
   

}
.container1{
    display: flex;
}
.left_subcontainer{
    margin-left: 117px;
    
}
.left_subcontainer_title {
    font-family: 'Open Sans', sans-serif;
    width: 30vw;
    padding-top: 67px;
    font-size: 2rem;
    
}
.left_subcontainer_subtitle {
    font-size: 1rem;
    font-family: 'Open Sans', sans-serif;
    width: 25vw;
        
}
.left_buttons{
    display:flex;
    margin-top: 36px;
}
a{
    text-decoration: none;
}
.left_button_first{
    color: black;
    font-family: 'Open Sans', sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 1rem;
    line-height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #FFD600;
    border-radius: 2px;
    width: 16vw;
    height: 7vh;

    margin-right: 8px;
    cursor: pointer;

}
.left_button_first:hover, .left_button_second:hover, .left_button2_first:hover, .left_button2_second:hover{ 
    opacity: 0.5;
}
.left_button_second{
    cursor: pointer;
    color: white;
    font-family: 'Open Sans', sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 1rem;
    line-height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    border-radius: 2px;
    width: 16vw;
    height: 7vh;
  
}

.right_subcontainer{
    display: flex;  
    justify-content: center;
    align-items: center;
}
.right_subcontainer img{
    margin-top: 43px;
    margin-left: 70px;
    width: 30vw;
    height:40vh;
     
}

.left_subcontainer_slider{
    width: 80vw;
    height: 120px;
    background: #343434;
    margin-left: 117px;
    display: flex;
   
}
.visited {
    color: #FFD600;
}
.left_subcontainer_slider_element{
    width: 22vw;
    height: 10vh;   
    font-size: 12px;
    margin-left: 20px;
    padding-bottom: 25px;
    cursor: pointer;
    padding-top: 26px;
   
}
.left_subcontainer_slider_element:hover{
    color:#FFD600;
}
.slider_element_title{
    font-family: 'Open Sans', sans-serif;
    width: 100%;
    height: 4vh;
    font-weight: bold;
    font-size: 0.7rem;
    text-transform: uppercase;
     

}

</style>